## qctools_1.2.1_AllInclusive.7z

=== qctools/Project/QtCreator/qctools-qtav/contrib/uchardet/CMakeLists.txt ===
######## Project settings
cmake_minimum_required(VERSION 2.8)
set (PACKAGE_NAME opencc)
project (${PACKAGE_NAME} CXX)
enable_testing()

######## Package information
set (PACKAGE_URL http://code.google.com/p/uchardet/)
set (PACKAGE_BUGREPORT http://code.google.com/p/uchardet/issues/entry)
set (UCHARDET_VERSION_MAJOR 0)
set (UCHARDET_VERSION_MINOR 0)
set (UCHARDET_VERSION_REVISION 1)

if (CMAKE_BUILD_TYPE MATCHES Debug)
	set (version_suffix .Debug)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

set (
	UCHARDET_VERSION
	${UCHARDET_VERSION_MAJOR}.${UCHARDET_VERSION_MINOR}.${UCHARDET_VERSION_REVISION}${version_suffix}
)

######## Windows

#if (WIN32)
#	set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_INSTALL_PREFIX})
#	set(CMAKE_STATIC_LIBRARY_PREFIX ${CMAKE_INSTALL_PREFIX})
#endif (WIN32)

######## Directory

set (DIR_PREFIX ${CMAKE_INSTALL_PREFIX})
set (DIR_LIBRARY ${DIR_PREFIX}/${CMAKE_SHARED_LIBRARY_PREFIX})
set (DIR_LIBRARY_STATIC ${DIR_PREFIX}/${CMAKE_STATIC_LIBRARY_PREFIX})
set (DIR_INCLUDE ${DIR_PREFIX}/include)
set (DIR_SHARE ${DIR_PREFIX}/share)
set (DIR_BIN ${DIR_PREFIX}/bin)
set (DIR_ETC ${DIR_PREFIX}/etc)

if (DEFINED CMAKE_INSTALL_LIBDIR)
	set (DIR_LIBRARY ${CMAKE_INSTALL_LIBDIR})
	set (DIR_LIBRARY_STATIC ${CMAKE_INSTALL_LIBDIR})
endif (DEFINED CMAKE_INSTALL_LIBDIR)

if (DEFINED SHARE_INSTALL_PREFIX)
	set (DIR_SHARE ${SHARE_INSTALL_PREFIX})
endif (DEFINED SHARE_INSTALL_PREFIX)

if (DEFINED INCLUDE_INSTALL_DIR)
	set (DIR_INCLUDE ${INCLUDE_INSTALL_DIR})
endif (DEFINED INCLUDE_INSTALL_DIR)

if (DEFINED SYSCONF_INSTALL_DIR)
	set (DIR_ETC ${SYSCONF_INSTALL_DIR})
endif (DEFINED SYSCONF_INSTALL_DIR)

set (DIR_SHARE_UCHARDET ${DIR_SHARE}/opencc)
set (DIR_SHARE_LOCALE ${DIR_SHARE}/locale)

######## Configuration

configure_file(
	uchardet.pc.in
	uchardet.pc
	@ONLY
)

install(
	FILES
		${CMAKE_BINARY_DIR}/uchardet.pc
	DESTINATION
		${DIR_LIBRARY}/pkgconfig
)

######## Subdirectories

add_subdirectory(src)
add_subdirectory(doc)

=== qctools/Project/QtCreator/qctools-qtav/src/jmi/CMakeLists.txt ===
project(jmi)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

if(POLICY CMP0063) # visibility. since 3.3
  cmake_policy(SET CMP0063 NEW)
endif()
set(CMAKE_CXX_VISIBILITY_PRESET hidden) #use with -fdata-sections -ffunction-sections to reduce target size
set(CMAKE_VISIBILITY_INLINES_HIDDEN ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FindJava)
find_package(Java COMPONENTS Development REQUIRED)
include(UseJava)

message("java=${Java_JAVA_EXECUTABLE}")
message("javac=${Java_JAVAC_EXECUTABLE}")
if(ANDROID)
else()
  include(FindJNI)
  find_package(JNI REQUIRED)
  include_directories(${JNI_INCLUDE_DIRS})
  enable_testing()
endif()
include_directories(${CMAKE_SOURCE_DIR})
add_library(jmi STATIC jmi.cpp)
add_executable(test_signature test/signature.cpp)
target_link_libraries(test_signature LINK_PRIVATE jmi)
add_library(JMITest SHARED test/JMITest.cpp)
target_link_libraries(JMITest LINK_PRIVATE jmi)
add_jar(test_jmi test/JMITest.java)
get_target_property(jar_path test_jmi JAR_FILE)
get_target_property(class_dir test_jmi CLASSDIR)
message(STATUS "Jar file: ${jar_path}")
message(STATUS "Class compiled to: ${class_dir}")
#add_test(NAME signature_test COMMAND )
add_test(NAME jmitest COMMAND ${Java_JAVA_EXECUTABLE} -cp ${jar_path} JMITest)
if(ANDROID)
  target_link_libraries(test_signature LINK_PRIVATE -landroid -llog)
  target_link_libraries(JMITest LINK_PRIVATE -landroid -llog)
endif()

=== qctools/Project/QtCreator/qctools-qtav/contrib/uchardet/src/CMakeLists.txt ===

set(
	UCHARDET_HEADERS
	uchardet.h
)

set(
	UCHARDET_SOURCES
	CharDistribution.cpp
	JpCntx.cpp
	LangBulgarianModel.cpp
	LangCyrillicModel.cpp
	LangGreekModel.cpp
	LangHungarianModel.cpp
	LangHebrewModel.cpp
	LangThaiModel.cpp
	nsHebrewProber.cpp
	nsCharSetProber.cpp
	nsBig5Prober.cpp
	nsEUCJPProber.cpp
	nsEUCKRProber.cpp
	nsEUCTWProber.cpp
	nsEscCharsetProber.cpp
	nsEscSM.cpp
	nsGB2312Prober.cpp
	nsMBCSGroupProber.cpp
	nsMBCSSM.cpp
	nsSBCSGroupProber.cpp
	nsSBCharSetProber.cpp
	nsSJISProber.cpp
	nsUTF8Prober.cpp
	nsLatin1Prober.cpp
	nsUniversalDetector.cpp
	uchardet.cpp
)

set (UCHARDET_TARGET libuchardet)
set (UCHARDET_STATIC_TARGET libuchardet_static)

add_definitions(
	-DPKGDATADIR="${DIR_SHARE_OPENCC}"
	-DLOCALEDIR="${DIR_SHARE_LOCALE}"
	-DVERSION="${UCHARDET_VERSION}"
	-DPACKAGE_NAME="${PACKAGE_NAME}"
	-Wall
)

add_library(
	${UCHARDET_TARGET}
	SHARED
	${UCHARDET_SOURCES}
)

add_library(
	${UCHARDET_STATIC_TARGET}
	STATIC
	${UCHARDET_SOURCES}
)

set_target_properties(
	${UCHARDET_TARGET}
	${UCHARDET_STATIC_TARGET}
	PROPERTIES
		LINKER_LANGUAGE
			CXX
		OUTPUT_NAME
			uchardet
		VERSION
			0.0.0
		SOVERSION
			0
)

if (CMAKE_BUILD_TYPE MATCHES Debug)
	add_definitions(
		-O0
		-g3
	)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

if (NOT WIN32)
install(
	TARGETS
		${UCHARDET_TARGET}
	LIBRARY DESTINATION
		${DIR_LIBRARY}
)
else (NOT WIN32)
install(
	TARGETS
		${UCHARDET_TARGET}
        RUNTIME DESTINATION
                ${DIR_BIN}
	ARCHIVE DESTINATION
		${DIR_LIBRARY}
)
endif (NOT WIN32)

install(
	TARGETS
		${UCHARDET_STATIC_TARGET}
	ARCHIVE DESTINATION
		${DIR_LIBRARY_STATIC}
)

install(
	FILES
		${UCHARDET_HEADERS}
	DESTINATION
		${DIR_INCLUDE}/uchardet
)

include(symbols.cmake)

add_subdirectory(tools)

=== qctools/Project/QtCreator/qctools-qtav/contrib/capi/test/sdl/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(capi_sdl)
add_executable(test_sdl sdl_api.cpp sdl_api_test.cpp)
include_directories(../..)
include_directories(.)

=== qctools/Project/QtCreator/qctools-qtav/contrib/capi/test/zlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(capi_zlib)
add_executable(test_zlib zlib_api.cpp zlib_api_test.cpp)
include_directories(../..)
include_directories(.)

=== qctools/debian/changelog ===
qctools (1.2.1-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Fri, 18 Dec 2020 08:00:00 +0000

=== qctools/Project/GNU/PKGBUILD ===
# $Id$
# Maintainer: MediaArea.net SARL <info@mediaarea.net>

pkgname=('qctools' 'qcli')
pkgver=1.2.1
pkgrel=1
pkgdesc="QCTools (Quality Control Tools for Video Preservation)"
url="http://mediaarea.net"
license=('GPL')
source=(${pkgname}_${pkgver}-1.tar.gz)
md5sums=('00000000000000000000000000000000')
arch=('i686' 'x86_64')

depends=('qt5-base' 'qt5-declarative' 'bzip2' 'zlib' 'yasm')

build() {
    cd "${srcdir}/qctools/qctools"
    ./Project/BuildAllFromSource/build
}

package_qctools() {
    pkgdesc="${pkgdesc}"
    install -D -m 0755 "${srcdir}"/qctools/qctools/Project/QtCreator/build/qctools-gui/QCTools "${pkgdir}"/usr/bin/QCTools
    install -D -m 0644 "${srcdir}"/qctools/qctools/Source/Resource/Logo.png "${pkgdir}"/usr/share/icons/hicolor/256x256/apps/qctools.png
    install -D -m 0644 "${srcdir}"/qctools/qctools/Source/Resource/Logo.png "${pkgdir}"/usr/share/pixmaps/qctools.png
    install -D -m 0644 "${srcdir}"/qctools/qctools/Project/GNU/GUI/qctools.desktop "${pkgdir}"/usr/share/applications/qctools.desktop
    install -D -m 0644 "${srcdir}"/qctools/qctools/Project/GNU/GUI/qctools.kde3.desktop "${pkgdir}"/usr/share/apps/konqueror/servicemenus/qctools.desktop
    install -D -m 0644 "${srcdir}"/qctools/qctools/Project/GNU/GUI/qctools.kde4.desktop "${pkgdir}"/usr/share/kde4/services/ServiceMenus/qctools.desktop
    install -D -m 0644 "${srcdir}"/qctools/qctools/Project/GNU/GUI/qctools.kde4.desktop "${pkgdir}"/usr/share/kservices5/ServiceMenus/qctools.desktop
    install -D -m 0644 "${srcdir}"/qctools/qctools/Project/GNU/GUI/qctools.metainfo.xml "${pkgdir}"/usr/share/metainfo/qctools.metainfo.xml
}

package_qcli() {
    pkgdesc="${pkgdesc} (CLI)"
    install -D -m 0755 "${srcdir}"/qctools/qctools/Project/QtCreator/build/qctools-cli/qcli "${pkgdir}"/usr/bin/qcli
}

=== qctools/debian/control ===
Source: qctools
Priority: optional
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 5), debhelper (>= 5), qtbase5-dev, libqt5opengl5-dev, qtdeclarative5-dev, qtchooser, libegl1-mesa-dev, libxv-dev, libxcb-shm0-dev, libxcb-render0-dev, libxcb-xfixes0-dev, libxcb-shape0-dev, zlib1g-dev, libbz2-dev, pkg-config, yasm
Standards-Version: 3.7.3
Section: utils
Homepage: http://www.bavc.org/qctools

Package: qctools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: QCTools
 .
 QCTools (Quality Control Tools for Video Preservation) is a free and open source software tool
 that helps users analyze and understand their digitized video files through use of audiovisual analytics and filtering
 to help users detect corruptions or compromises in the results of analog video digitization or in born-digital video.
 The goal of the project is to cut down the time it takes to perform high-quality video preservation
 and direct time towards preservation issues that are solvable - for example, identifying tapes
 that would benefit from a second transfer, saving not only the precious time of preservationists
 and institutional resources, but giving collections a necessary advantage in the bigger race against time
 to preserve their significant cultural artifacts. QCTools incorporates archival standards and best practices
 for reformatting and capturing metadata that enables the long-term preservation of and access to the original artifact,
 the digital object, and the associated catalog record.

Package: qctools-dbg
Section: debug
Architecture: any
Priority: extra
Depends: qctools (= ${binary:Version})
Description: QCTools
 .
 QCTools (Quality Control Tools for Video Preservation) is a free and open source software tool
 that helps users analyze and understand their digitized video files through use of audiovisual analytics and filtering
 to help users detect corruptions or compromises in the results of analog video digitization or in born-digital video.
 The goal of the project is to cut down the time it takes to perform high-quality video preservation
 and direct time towards preservation issues that are solvable - for example, identifying tapes
 that would benefit from a second transfer, saving not only the precious time of preservationists
 and institutional resources, but giving collections a necessary advantage in the bigger race against time
 to preserve their significant cultural artifacts. QCTools incorporates archival standards and best practices
 for reformatting and capturing metadata that enables the long-term preservation of and access to the original artifact,
 the digital object, and the associated catalog record.
 .
 This package contains the debugging symbols.

Package: qcli
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: QCTools Command Line Interface
 .
 QCTools (Quality Control Tools for Video Preservation) is a free and open source software tool
 that helps users analyze and understand their digitized video files through use of audiovisual analytics and filtering
 to help users detect corruptions or compromises in the results of analog video digitization or in born-digital video.
 The goal of the project is to cut down the time it takes to perform high-quality video preservation
 and direct time towards preservation issues that are solvable - for example, identifying tapes
 that would benefit from a second transfer, saving not only the precious time of preservationists
 and institutional resources, but giving collections a necessary advantage in the bigger race against time
 to preserve their significant cultural artifacts. QCTools incorporates archival standards and best practices
 for reformatting and capturing metadata that enables the long-term preservation of and access to the original artifact,
 the digital object, and the associated catalog record.

Package: qcli-dbg
Section: debug
Architecture: any
Priority: extra
Depends: qctools (= ${binary:Version})
Description: QCTools Command Line Interface
 .
 QCTools (Quality Control Tools for Video Preservation) is a free and open source software tool
 that helps users analyze and understand their digitized video files through use of audiovisual analytics and filtering
 to help users detect corruptions or compromises in the results of analog video digitization or in born-digital video.
 The goal of the project is to cut down the time it takes to perform high-quality video preservation
 and direct time towards preservation issues that are solvable - for example, identifying tapes
 that would benefit from a second transfer, saving not only the precious time of preservationists
 and institutional resources, but giving collections a necessary advantage in the bigger race against time
 to preserve their significant cultural artifacts. QCTools incorporates archival standards and best practices
 for reformatting and capturing metadata that enables the long-term preservation of and access to the original artifact,
 the digital object, and the associated catalog record.
 .
 This package contains the debugging symbols.

=== qctools/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QT_SELECT=qt5

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch $@


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	cd qctools && ./Project/BuildAllFromSource/build

	touch $@

clean: 
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	# $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	install -dm 755 $(CURDIR)/debian/tmp/usr/bin
	install -m 755 qctools/Project/QtCreator/build/qctools-gui/QCTools $(CURDIR)/debian/tmp/usr/bin
	install -m 755 qctools/Project/QtCreator/build/qctools-cli/qcli $(CURDIR)/debian/tmp/usr/bin

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/qctools
	install -m 644 qctools/History.txt $(CURDIR)/debian/tmp/usr/share/doc/qctools
	install -m 644 qctools/License.html $(CURDIR)/debian/tmp/usr/share/doc/qctools

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/qcli
	install -m 644 qctools/History.txt $(CURDIR)/debian/tmp/usr/share/doc/qcli
	install -m 644 qctools/License.html $(CURDIR)/debian/tmp/usr/share/doc/qcli

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -m 644 qctools/Source/Resource/Logo.png $(CURDIR)/debian/tmp/usr/share/pixmaps/qctools.xpm
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/icons/hicolor
	install -m 644 qctools/Source/Resource/Logo.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/qctools.png
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/icons/hicolor/256x256/apps
	install -m 644 qctools/Source/Resource/Logo.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/256x256/apps/qctools.png

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/applications
	install -m 644 qctools/Project/GNU/GUI/qctools.desktop $(CURDIR)/debian/tmp/usr/share/applications
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/apps/konqueror/servicemenus/
	install -m 644 qctools/Project/GNU/GUI/qctools.kde3.desktop $(CURDIR)/debian/tmp/usr/share/apps/konqueror/servicemenus/qctools.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/kde4/services/ServiceMenus/
	install -m 644 qctools/Project/GNU/GUI/qctools.kde4.desktop $(CURDIR)/debian/tmp/usr/share/kde4/services/ServiceMenus/qctools.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/kservices5/ServiceMenus/
	install -m 644 qctools/Project/GNU/GUI/qctools.kde4.desktop $(CURDIR)/debian/tmp/usr/share/kservices5/ServiceMenus/qctools.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/appdata
	install -m 644 qctools/Project/GNU/GUI/qctools.metainfo.xml $(CURDIR)/debian/tmp/usr/share/appdata/qctools.appdata.xml

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip -p qctools --dbg-package=qctools-dbg
	dh_strip -p qcli --dbg-package=qctools-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
